

import request from '@/utils/request'

//党员发展流程
export function processFlow(params) {
    return request({
      url: '/organization-flow',
      method: 'get',
      params
    })
}
//上传资源(管理员上传多个人员)
export function uploadArchives(data) {
  return request({
    url: '/organization-archives',
    method: 'POST',
    data
  })
}
//上传资源（个人）
export function uploadDocument(data) {
  return request({
    url: '/archives',
    method: 'POST',
    data
  })
}
//数据列表
export function archivesList(params) {
  return request({
    url: '/archives',
    method: 'get',
    params
  })
}
//删除列表数据
export function deleteArchives(params) {
  return request({
    url: '/archives/' + params,
    method: 'DELETE',
  })
}
//查看详情
export function archivesDetail(params) {
  return request({
    url: '/archives/' + params,
    method: 'get',
  })
}
//编辑文件
export function putArchives(data) {
  return request({
    url: '/archives/' + data.id,
    method: 'put',
    data
  })
}
//查看文件注意事项
export function fileTips(params) {
  return request({
    url: '/templates',
    method: 'get',
    params
  })
}
//打包下载所有文件
export function packDownload(params) {
  return request({
    url: '/archives/staff/package',
    method: 'get',
    params
  })
}